%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-negotiation
Version:       3.0.2
Release:       %mkrel 1
Group:         Development/Java
Summary:       JBoss Negotiation
# NOT available license file https://github.com/wildfly-security/jboss-negotiation/issues/32
License:       LGPLv2+
URL:           http://www.jboss.org/picketlink/Negotiation
Source0:       https://github.com/wildfly-security/jboss-negotiation/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(io.undertow:undertow-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires: mvn(org.picketbox:picketbox)
BuildRequires: mvn(org.picketbox:picketbox-commons)

BuildArch:     noarch

%description
Negotiation project provides SPNEGO/Kerberos support in JBoss.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module jboss-negotiation-toolkit

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Mon May 15 2017 neoclust <neoclust> 3.0.2-1.mga6
+ Revision: 1101753
- New version 3.0.2

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-7.SP1.6.mga5
+ Revision: 740830
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 2.2.0-7.SP1.4.mga4
+ Revision: 565287
- Rebuild against fixed maven-eclipse-plugin

* Sun Dec 22 2013 dmorgan <dmorgan> 2.2.0-7.SP1.3.mga4
+ Revision: 559824
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 2.2.0-7.SP1.1.mga3
+ Revision: 399105
- imported package jboss-negotiation

